b: doesn't work from Wikibooks; neither n: from Wikinews nor q: from Wikiquote, etc.
Closed, ResolvedPublic

Description

Author: bugzillas+padREMOVETHISdu

Description:
b: doesn't produce an interwiki link/normal link/self link. It produces link to
a page called b:<something>.


URL: http://en.wikibooks.org/wiki/User:Paddu/sandbox#bug_28-11-2004

(Copying TTO's comment from the changeset...)

These pages would have to be moved or deleted by a global sysop, or shell user:

  • dewikiversity_p 0 V:Banklab/Blickpunkt
  • dewikiversity_p 0 V:_Benutzer:Chi-Vinh/Fragebogen_Marcel_Proust
  • enwikibooks_p 0 B:MISC
  • enwikisource_p 0 S:Page:Franklin_D._Roosevelt_to_Paul_Reynaud_-_NARA_-_194806.jpg
  • enwikisource_p 0 S:Page:Memorial_written_by_Josephine_Griffing_asking_that_women_be_commissioned_to_assist_with_the_care_and_education_of_the_freedmen.tif
  • enwikisource_p 0 S:Page:Winston_Churchill_to_Franklin_D._Roosevelt_-_NARA_-_194816.jpg
  • enwikiversity_p 0 V:Wikiversity:Main_Page
  • frwikisource_p 0 S:CCHIC
  • frwikisource_p 0 S:UQAC
  • kywikibooks_p 0 B:ky:Main_Page
  • mgwikibooks_p 0 B:
  • tewikibooks_p 0 B:
  • thwikinews_p 0 N:Wikinews:Deletion_requests
  • thwiktionary_p 0 Wikt:ask
  • zhwikisource_p 0 S:中華人民共和國文化部第49號令
  • dvwiktionary_p 0 wikt:Main_Page
  • simplewiktionary_p 0 wikt:streamlining
  • tewiktionary_p 0 wikt:wiktionary:కోరిన_పదాలు
  • thwiktionary_p 0 wikt:ask
  • trwiktionary_p 0 wikt:kada
  • ugwiktionary_p 0 wikt:Main_Page
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz955.
bzimport created this task.Via LegacyNov 28 2004, 4:29 PM
bzimport added a comment.Via ConduitDec 1 2004, 6:53 PM

bugzillas+padREMOVETHISdu wrote:

OK, forget it. I've modified the documentation in
[[m:Template:H:interwiki_linking]] to make it clear that b: and q: work totally
differently from w:. So the developers can rest in peace.

Note that the idea that b: is dissimilar to w: is not my personal opinion, but
comes from bug 953 comment 3.

bzimport added a comment.Via ConduitFeb 11 2006, 1:48 AM

gangleri wrote:

REOPENing this bug as it is a major issue for transclusion of pages from commons.
Bug 4547: Enable template inclusion from Commons (transclusion => interwiki
templates, etc.)

Bug 4558 comment 1 b)
Bug 4558: Dead end InterWiki prefixes due to missing sister projects
requires to anable "shortcut" interwikies as 'b:', 'n:', 'q:',
's:', 'wikt:' are *not* defined at the related project family.

The comment contains a list of test pages where identical interwiki links are used.

This would be simitar to the usage of 'w:' and 'm:'.

best regards reinhardt [[user:gangleri]]

bzimport added a comment.Via ConduitFeb 11 2006, 1:51 AM

robchur wrote:

Explain to me, please, why a page in Wikibooks would need to use a
[[b:<something>]] interwiki link to link to the same project?

bzimport added a comment.Via ConduitFeb 11 2006, 2:10 AM

gangleri wrote:

(In reply to comment #3)

Explain to me, please, why a page in Wikibooks would need to use a
[[b:<something>]] interwiki link to link to the same project?

Dear Rob!

Please look at
http://commons.wikimedia.org/wiki/Special:Allpages/Sister?namespace=10

The only reason known to me why full links are used at at template as
http://commons.wikimedia.org/w/index.php?title=Template:Sisterprojects-de&action=edit
is that else you would need to modify the self referencing interwiki prefix as
done in all project versions of [[en:template:wikivar]].

If you use full links as done at
http://commons.wikimedia.org/wiki/Template:Sisterprojects-de you will not see
the self referencing. These are normaly located at the bottom of the page where
you will not see the logo.

Wiki syntax is shorter and there are more features supporting wiki links
(Whatlinkshere, Recentchangeslinked etc.)

Comming back to the [[en:template:wikivar]] example. There are 8 versions of it
one for each project family. It would be possible to use conditional templates
but I did not test these untul now.

best regards reinhardt [[user:gangleri]]

bzimport added a comment.Via ConduitMar 11 2006, 2:28 AM

xkernigh wrote:

Use "m:b:" instead of "b:", for example [[m:b:<something>]]. For non-English Wikibooks, use
"m:b:de:", et cetera. This might be satisfactory, thus bug 995 might not be a bug.

I even got [[fr:zh:ar:ms:de:q:ja:wikt:es:simple:m:b:WB:BJ]] to work as a link from Wikibooks to
itself.

bzimport added a comment.Via ConduitMar 26 2006, 8:20 AM

gangleri wrote:

(In reply to comment #5)

Use "m:b:" instead of "b:", ...
"m:b:de:", et cetera. ...
I even got [[fr:zh:ar:ms:de:q:ja:wikt:es:simple:m:b:WB:BJ]] ...

My understanding of this *request* is to have "a simpler scheme", intutive and
easy to remember which is / should be the counterpart of "w:" and "m:". This
scheme should aply for each language groop family of "siterprojects" in the same
manner.

It is good to have workarounds but is better that newbies can find their way easily.

bzimport added a comment.Via ConduitOct 21 2007, 5:38 AM

oldakquill wrote:

Replacement interwiki.sql containing b: n: q: s: wikt:

Is there an obvious reason why b: &c. shouldn't be included in interwiki.sql? Is there a reason why w: and m: are not currently included?

attachment interwiki.sql ignored as obsolete

bzimport added a comment.Via ConduitJan 20 2009, 1:55 AM

mike.lifeguard+bugs wrote:

I still don't see a clear reason why [[b:Whatever]] is needed as an internal link on Wikibooks (or whatever).

bzimport added a comment.Via ConduitJul 24 2009, 2:08 PM

happy.melon.wiki wrote:

(In reply to comment #8)

I still don't see a clear reason why [[b:Whatever]] is needed as an internal
link on Wikibooks (or whatever).

There is no reason. Equally, [[w:foo]] is not needed on enwiki. They are needed if we are to ever get our heads around interwiki transclusion: hosting templates or pages on somewhere like Commons or meta, and transcluding them to a variety of projects. Then, we need a set of interwiki links that work similarly on *all* projects.

The issue here is that the interwiki tables of the various WMF wikis are not synchronised. enwiki.interwiki contains entries for w: as well as b:, q:, c:, etc. enwikibooks.interwiki contains w:, q:, c:, but *not* b:. If the WMF wikis either shared an interwiki table, or ensured that updates to one table were copied to all the others, this issue would be resolved. Changing summary appropriately.

Peachey88 added a comment.Via ConduitApr 30 2011, 12:09 AM

*Bulk BZ Change: +Patch to open bugs with patches attached that are missing the keyword*

awight added a comment.Via ConduitMar 18 2013, 8:47 AM

I believe there is a good use case (multi-wiki Collections) for including the "api.php" endpoint in the interwiki table.

TTO added a comment.Via ConduitSep 22 2013, 11:53 AM

Comment on attachment 4270
Replacement interwiki.sql containing b: n: q: s: wikt:

The patch is 6 years old and really obsolete.

We now have interwiki.cdb which provides interwiki structure on the WMF cluster, so the bug title is not relevant anymore. What I think this bug is asking for is for self-interwiki prefixes to work, e.g., for [[w:Wikipedia]] to link to [[Wikipedia]]. This will make cross-wiki transclusion (bug 4547) a lot nicer.

gerritbot added a comment.Via ConduitFeb 2 2014, 3:41 AM

Change 110162 had a related patch set uploaded by TTO:
Add $wgLocalInterwikis to handle multiple local prefixes

https://gerrit.wikimedia.org/r/110162

gerritbot added a comment.Via ConduitMar 12 2014, 12:36 PM

Change 110162 merged by jenkins-bot:
Add $wgLocalInterwikis to handle multiple local prefixes

https://gerrit.wikimedia.org/r/110162

TTO added a comment.Via ConduitMar 12 2014, 11:53 PM

The next thing I will do is to submit a patch for WikimediaMaintenance/dumpInterwiki.php. However, review progress in that repository is positively glacial, so don't hold your breath.

TTO added a comment.Via ConduitJul 5 2014, 11:01 AM

Restoring old summary; I think I understand what this bug is really about now. Only took me 10 months to figure it out...

jayvdb added a subscriber: jayvdb.Via WebJan 16 2015, 9:49 AM
gerritbot added a project: Patch-For-Review.Via ConduitFeb 14 2015, 10:44 AM
gerritbot added a subscriber: gerritbot.

Change 190642 had a related patch set uploaded (by TTO):
Add b:, q:, n: etc as interwiki prefixes for all projects

https://gerrit.wikimedia.org/r/190642

Patch-For-Review

Quiddity added a subscriber: Quiddity.Via WebFeb 15 2015, 1:47 AM

Awesome consistency fix, plus research for existing conflicts (at the patch). Thanks TTO :)

IIUC, once this is fixed, we can remove the parenthetical at m:Help:Interwiki linking#Project titles and shortcuts just under the table: The shortcuts work everywhere. (That is the intention; currently (16-Jan-2007), it does not work on all projects.).

Ricordisamoa added a subscriber: Ricordisamoa.Via WebFeb 19 2015, 12:22 AM
jayvdb edited the task description. (Show Details)Via WebFeb 19 2015, 2:03 AM
jayvdb set Security to None.
jayvdb edited the task description. (Show Details)
jayvdb edited the task description. (Show Details)Via WebFeb 19 2015, 3:29 AM
TTO edited the task description. (Show Details)Via WebFeb 19 2015, 7:54 AM
jayvdb edited the task description. (Show Details)Via WebFeb 19 2015, 9:10 AM
jayvdb edited the task description. (Show Details)Via WebMon, Mar 2, 10:11 AM
jayvdb edited the task description. (Show Details)Via WebMon, Mar 2, 9:37 PM

All conflicts resolved.

epriestley closed this task as "Resolved" by committing Unknown Object (Commit).Via DaemonsWed, Mar 4, 8:14 AM
Qgil reopened this task as "Open".Via WebWed, Mar 4, 8:54 AM
Qgil added a subscriber: Qgil.

Accidental clash. Known issue. Reverting status.

gerritbot added a comment.Via ConduitFri, Mar 6, 4:47 PM

Change 190642 merged by jenkins-bot:
Add b:, q:, n: etc as interwiki prefixes for all projects

https://gerrit.wikimedia.org/r/190642

TTO closed this task as "Resolved".Via WebFri, Mar 6, 11:02 PM
TTO claimed this task.

This will be fixed the next time interwiki.cdb is rebuilt.

gerritbot added a comment.Via ConduitMon, Mar 9, 10:29 PM

Change 195464 had a related patch set uploaded (by Legoktm):
Add b:, q:, n: etc as interwiki prefixes for all projects

https://gerrit.wikimedia.org/r/195464

gerritbot added a comment.Via ConduitMon, Mar 9, 10:30 PM

Change 195465 had a related patch set uploaded (by Legoktm):
Add b:, q:, n: etc as interwiki prefixes for all projects

https://gerrit.wikimedia.org/r/195465

gerritbot added a comment.Via ConduitMon, Mar 9, 10:31 PM

Change 195465 merged by jenkins-bot:
Add b:, q:, n: etc as interwiki prefixes for all projects

https://gerrit.wikimedia.org/r/195465

gerritbot added a comment.Via ConduitMon, Mar 9, 10:31 PM

Change 195464 merged by jenkins-bot:
Add b:, q:, n: etc as interwiki prefixes for all projects

https://gerrit.wikimedia.org/r/195464

Legoktm added a subscriber: Legoktm.Via WebMon, Mar 9, 11:42 PM

[16:34:51] <logmsgbot> !log legoktm Synchronized wmf-config/interwiki.cdb: Updating interwiki cache (duration: 00m 05s)

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.